.\" -*-Text-*-
.\"
.\" Copyright  1991-96 by Bjrn Stabell, Ken Ronny Schouten & Bert Gijsbers.
.\"
.TH XPILOTS  "Requires UDP/IP and The X Window System"
.ds )H GNU Public License 2.0 applies
.ds ]W XPilot 3.6.1: Dec 17th, 1996
.if n .ad l	\" If nroff formatter, adjust left margin only
.if t .ad b	\" If troff formatter, adjust both margins

.SH NAME
xpilots \- XPilot/UX  Multiplayer gravity war game server

.SH SYNOPSIS

.BR xpilots

[\fB-map \fImap-file\fP]
[\fB-robots \fInumber\fP]
[\fB-rawmode\fP]
[\fB-noquit\fP]
[\fB-help\fP]
[\fB-version\fP]


.SH DESCRIPTION

This manual explains the following topics:
.IP
.B - Setting up a server.
.IP
.B - Owner-only commands.
.IP
.B - Creating new maps.
.PP
Complete coverage of the game basics and how to connect to a server are
given in the manual pages for \fIxpilot()\fP.


.SS Options

This section only describes the main options.  For a list of all
options, try \fBxpilots -help\fP.
.TP 15
.B -map \fImap-name\fP
This option allows you to select the map you will use for this server.  If
it is omitted, you will have to manage with a computer generated random
map.  For instructions on how to create a map, see below.
For example if 
.B -map blackhole
or the equivalent
.B -map blackhole.map
is passed as command line arguments, the server will try to locate a file
called \fBblackhole.map\fP in the current directory, or in a predefined
directory (default is /usr/local/games/lib/xpilot/maps/).

.TP 15
.B -help
Prints a short help, including the supported commandline options.

.TP 15
.B -version
Prints the current version.

.TP 15
.B -noquit
If this option is specified, xpilots won't quit when the last human player
exits.

.TP 15
.B -rawmode
If this option is specified, xpilots doesn't go to sleep when there are no
human players logged into the game.  The \fBnoquit\fP option must be
specified for this to have any effect after the first player joins the
game.

.TP 15
.B -robots \fInumber\fP
Tells the server that you want \fInumber\fP robots instead of the default -
number-of-bases/2.  A value of -1 will fill the entire server with robots.
Note however that there will always be room for one new player, the robots
will be kicked out of the game to accomodate for new players, they will
also enter the game when there is space for them.

.SS Prompt options (owner only)
If you are the owner of a server you have successfully connected to (with
\fIxpilot()\fP), you have several special commands available, all of which
applies to the current server only:
.TP 15
.B m
Send a message to the players.
.TP 15
.B k
Kick a player out of the game.  Currently, this command does not stop the
player from re-joining the game.  Hopefully, however, he or she would have
learned their lesson.
.TP 15
.B l
Lock/unlock the game.  This prevents other users from joining the game.
.TP 15
.B d
Shutdown/cancel shutdown.  This command will ask for a reason and a
shutdown delay (in seconds) and transmit these to the server.  A timer will
appear showing how much time is left before the game goes down.  If you
don't specify a delay, you will be canceling an already initiated shutdown.


.SH WARNINGS AND BUGS

See \fIxpilot()\fP.


.SH AUTHORS

\fBXPilot\fP was developed by
Bjrn Stabell <bjoern@xpilot.org> and
Ken Ronny Schouten <ken@xpilot.org> from the University of Troms, and
Bert Gsbers <bert@xpilot.org> from the University of Amsterdam.


.SH CREDITS

See the provided CREDITS file.


.SH COPYRIGHT & DISCLAIMER

XPilot is Copyright  1991-96 by Bjrn Stabell, Ken Ronny Schouten & Bert Gijsbers.  XPilot comes with ABSOLUTELY NO WARRANTY;
for details see the provided LICENSE file.


.SH FILES

.PD 0
.TP 40
.B /*.map
Miscellaneous maps.
.TP 40
.B /usr/lib/X11/log
Log file.
.PD


.SH SEE ALSO

xpilot(), xset(1), emacs(1)
